/* = Custom CSS Variables = */:root {--theme-color: #f18e00;--btn-color: #fefefe;}
/* = Smart Cookies Kit = */.mega-sck-p {display:none;}/* = Smart Cookies Kit End = */
/* = Akzeptanz = */.elementor-field-subgroup .elementor-field-option label {width: auto;}.elementor-field-subgroup:not(.elementor-subgroup-inline) .elementor-field-option {flex-basis: 100%;display: flex;-ms-flex: 1 1 auto;align-items: baseline;}/* = Akzeptanz End = */

/* ====================================================================================================================== Allgemein ===== */
/* Buttons*/
.scroll2top {position:fixed;display:none;bottom:20px;right:0px;width:40px !important;}
.btn {width: 150px;height: auto;color: #694fc1 !important}

/* Skew */
.mega-theme--btn a {
    -webkit-transform: skew(45deg);
        -ms-transform: skew(45deg);
            transform: skew(45deg);
	min-height: 30px;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
            align-items: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}
.elementor-align-right.mega-theme--btn {
	margin: 20px 0 0 20px;
}

body:not(.page-id-220) .mega-theme--btn a {
	width: 40% !important;
}
.mega-theme--btn span span {
    -webkit-transform: skew(-45deg);
        -ms-transform: skew(-45deg);
            transform: skew(-45deg);
}
/* Flex Container */
.mega-flex-container .elementor-widget-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    flex-direction: row;
}
.mega-flex-container.just-end .elementor-widget-wrap {
    justify-content: flex-end;
}
.mega-flex-container.just-arround .elementor-widget-wrap {
    justify-content: space-around;
}
.mega-flex-container.just-between .elementor-widget-wrap {
    justify-content: space-between;
}
.mega-flex-container.dir-col .elementor-widget-wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    flex-direction: column;
}

/* ====================================================================================================================== Header ======== */

/* Toggle & Mobile */
div.elementor-menu-toggle {z-index: 99999}.elementor-nav-menu--dropdown.elementor-nav-menu__container {
	height: 100%;
	max-height: 100% !important;
    top: 0 !important;
    left: 0 !important;
    right: 0 !important;
    bottom: 0 !important;
    position: fixed !important;
    margin: 0 !important;
    padding-top: 75px !important;
}
#mm-header .mm-main-menu .elementor-menu-toggle.elementor-active i:before{
    transition: .3s linear;
}
#mm-header .mm-main-menu .elementor-menu-toggle i:hover {
    transform: rotatex(180deg) !important;
}
#mm-header .mm-main-menu .elementor-menu-toggle.elementor-active i:hover {
    transform: rotate(-180deg) !important;
    transition: .3s linear;
}

/* Header */
body.home #mm-header,
body.home #mm-header .elementor-background-overlay, #mm-header.elementor-sticky--active .elementor-background-overlay {
	background-color:transparent;
	background-image:none;
}
body #mm-header {
	background-color: rgba(0, 0, 0, 0.9);
}
#mm-header.elementor-sticky--active {
    background-color: rgba(0, 0, 0, 0.9) !important;
    background-image: linear-gradient(225deg, #ffffff 60%, rgba(0,0,0,0.49) 0%), url(/wp-content/uploads/Header_1920.jpg) !important;
}
.elementor-widget:not(:last-child) {
    margin-bottom: 5px !important;
}
.mega-widget-container a {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-wrap: nowrap;
    font-size: 1rem;
    font-weight:300;
    letter-spacing: .5px;
    justify-content: flex-start;
    align-items: baseline;
}
.mega-widget-container a div {
    margin: 0 5px;
}
.mega-field {
    color: #fff;
}
.mega-icon {
    color:var(--theme-color);
}
.fa.fa-phone.mega-icon {
    transform: rotate(90deg);
}
#mm-header.elementor-sticky--active .mega-col .elementor-widget-wrap {
    height: 30px !important;
}
#mm-header .mega-logo {
    transition: width .3s linear;
}
#mm-header.elementor-sticky--active .mega-logo {
    width: 45% !important;
}
@media (max-width:667px) {
    .mega-field {
        display:none;
    }
    .mega-col .elementor-widget-wrap {
        display:flex !important;
        flex-direction:row !important;
        flex-wrap:nowrap !important;
        align-items:baseline;
    }
    .mega-widget-container {
        padding:10px !important;
}
}
.mega-widget--ruf {
    display: none;
    transform:translate(0%, -300%);
        -webkit-transform:translate(0%, -300%);
        -ms-transform:translate(0%, -300%);
}
.mega-widget--ruf a {
    transform: skew(45deg);
}
.mega-widget--ruf span {
    transform: skew(-45deg);
}
#mm-header.elementor-sticky--active .mega-widget--ruf {
    display: block;
	    min-width: 180px;
    animation: slideDown .3s linear forwards;
    animation-delay: 1s;
    -webkit-animation-delay: .3s;
}
#mm-header.elementor-sticky--active .mega-widget--hide-on-sticky {
    display: block;
    animation: slideDown-reverse .3s linear forwards;
}
@keyframes slideDown {
    0% {
        transform:translate(0%, -300%);
        -webkit-transform:translate(0%, -300%);
        -ms-transform:translate(0%, -300%);
    }
    100% {
        transform:translate(0%, 0%);
        -webkit-transform:translate(0%, 0%);
        -ms-transform:translate(0%, 0%);
    }
}
@-webkit-keyframes slideDown {
    0% {
        transform:translate(0%, -300%);
        -webkit-transform:translate(0%, -300%);
        -ms-transform:translate(0%, -300%);
    }
    100% {
        transform:translate(0%, 0%);
        -webkit-transform:translate(0%, 0%);
        -ms-transform:translate(0%, 0%);
    }
}
/* Reverse */
@keyframes slideDown-reverse {
    0% {
        transform:translate(0%, 0%);
        -webkit-transform:translate(0%, 0%);
        -ms-transform:translate(0%, 0%);
    }
    100% {
        transform:translate(0%, -900%);
        -webkit-transform:translate(0%, -900%);
        -ms-transform:translate(0%, -900%);
    }
}
#mm-header.elementor-sticky--active .mm-main-menu ul li {
    width: auto;
    margin: 0 0 0 9px !important;
    font-size: 90%;
}
#mm-header.elementor-sticky--active .mm-main-menu ul {
    flex-wrap: nowrap;
}
.mm-main-menu ul li {
    width: 150px;
}

.elementor-79 .elementor-element.elementor-element-fceba40 .elementor-nav-menu--main:not(.e--pointer-framed) .elementor-item:before, .elementor-79 .elementor-element.elementor-element-fceba40 .elementor-nav-menu--main:not(.e--pointer-framed) .elementor-item:after {
    transform: skewX(45deg);
}
/* ====================================================================================================================== Slider ======== */
.mega-slider--text {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 90vh;
    padding: 36vh 0 0 0;
}
.mega-slider--button {
        display: flex;
    justify-content: center;
    align-items: flex-end;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 90vh;
    padding: 0 0 12vh 0;
}
#mega-slider1 .mega-slider--text:before {
    content: " ";
    width: 28%;
    height: 28.4vh !important;
    display: block;
    position: absolute;
    top: 57%;
    left: 30%;
    right: 0;
    transform: rotate(0deg);
    border-width: 10px 0 0 10px;
    border-style: solid;
    border-color: #fff transparent transparent #fff;
}

#mega-slider1 .mega-slider--text:after {
    content: " ";
    width: 26%;
    height: 21vh !important;
    display: block;
    position: absolute;
    top: 48%;
    left: 48%;
    right: 0;
    transform: rotate(45deg);
    border-width: 10px 0 0 10px;
    border-style: solid;
    border-color: #fff transparent transparent #fff;

}

#mega-slider1 .elementor-heading-title:before {
    content: " ";
    width: 28%;
    height: 33vh !important;
    display: block;
    position: absolute;
    top: 52%;
    left: 27%;
    right: 0;
    transform: rotate(0deg);
    border-width: 10px 0 0 10px;
    border-style: solid;
    border-color: #fff transparent transparent #fff;
}

/* ========================================================================= Mega Vorher Slider */
.mega-slider--vorher-voll .swiper-slide-contents {
    min-width: 111%;
    height: 100%;
    position: relative;
}
.mega-slider--vorher-voll .elementor-slide-content {
    display: flex;
    flex-direction: row;
    min-width: 80% !important;
    position: relative !important;
    top: -30%;
    left: 0;
    right: 0;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-heading {
    width: 50%;
    height: 50% !important;
    display: block;
    top: 0;
    position: absolute;
    right: 0px;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-description {
    display: block;
    position: absolute;
    width: 45%;
    height: 50%;
    top: 14vh;
    right: 0;
}
.mega-slider--vorher-voll .elementor-button.elementor-slide-button.elementor-size-sm {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 55%;
    padding: 0px 10px 0 0;
}
/* Slider Line */ 
.mega-slider--vorher .elementor-slide-heading:before, .mega-slider--vorher-voll .elementor-slide-heading:before {
    content: "";
    display: block;
    position: absolute;
    width: 70%;
    height: 1px;
    background: #000;
    text-align: center;
    margin: 0 auto;
    right: 0;
    top: 7rem;
}
.mega-slider--vorher .elementor-slide-heading:after, .mega-slider--vorher-voll .elementor-slide-heading:after {
    content: "";
    display: block;
    position: absolute;
    width: 80px;
    height: 6px;
    background: #f18e00;
    text-align: center;
    margin: 0 auto;
    right: 30px;
    top: 6.84rem;
}
.elementor-slick-slider .slick-arrows-inside .slick-next {
    right: 40px !important;
}
/* ====================================================================================================================== Breakpoints === */
/* 1440px */
@media only screen and (max-width:1542px) and (min-width:1440px) {
	/* ======= Slider ======== */
	.mega-slider--text {
    width: 100%;
    height: 90vh;
    padding: 36vh 0 0 0;
}
.mega-slider--button {
    width: 100%;
    height: 90vh;
    padding: 0 0 12vh 0;
}
#mega-slider .mega-slider--text:before {
    width: 28%;
    height: 28.4vh !important;
    top: 57%;
    left: 25%;
}

#mega-slider .mega-slider--text:after {
    width: 26%;
    height: 21vh !important;
    top: 44%;
    left: 49%;
}

#mega-slider .elementor-heading-title:before {
    width: 28%;
    height: 33vh !important;
    top: 52%;
    left: 22%;
}
}

/* 1024px */
@media only screen and (max-width:1024px) {
	/* Slider */
	.mega-slider--text {
    width: 100%;
    height: 90vh;
    padding: 36vh 0 0 0;
}
.mega-slider--button {
    width: 100%;
    height: 90vh;
    padding: 0 0 12vh 0;
}
	#mega-slider .mega-slider--text:after, #mega-slider .mega-slider--text:before, #mega-slider .elementor-heading-title:before {
		border:none;
	}
	/* Flex Container */
	.mega-flex-container .elementor-widget-wrap {
		display: flex;
		flex-wrap: wrap;
		justify-content: flex-start;
		flex-direction: row;
	}
	/* Header */
	#mm-header.elementor-sticky--active {
		background-color: transparent;
		background-image: linear-gradient(225deg, #ffffff 46%, rgba(0,0,0,0.69) 0%), url(/wp-content/uploads/HG_Baumann.jpg);
	}
	
	
.mm-main-menu ul li {
    width: 100%;
	text-align: right;
    justify-content: flex-end;
    display: flex;
}
/* ========================================================================= Mega Vorher Slider */
.mega-slider--vorher-voll .elementor-slide-content {
    display: flex;
    flex-direction: row;
    min-width: 80% !important;
    position: relative !important;
    top: -30%;
    left: 0;
    right: 0;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-heading {
    width: 45%;
    height: 50% !important;
    display: block;
    top: 0;
    position: absolute;
    right: 0px;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-description {
    display: block;
    position: absolute;
    width: 45%;
    height: 50%;
    top: 7.5vh;
    right: 0;
}
.mega-slider--vorher-voll .elementor-button.elementor-slide-button.elementor-size-sm {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 55%;
    padding: 0px 10px 0 0;
}
/* Slider Line */ 
.mega-slider--vorher .elementor-slide-heading:before, .mega-slider--vorher-voll .elementor-slide-heading:before {
    content: "";
    display: block;
    position: absolute;
    width: 70%;
    height: 1px;
    background: #000;
    text-align: center;
    margin: 0 auto;
    right: 0;
    top: 4rem;
}
.mega-slider--vorher .elementor-slide-heading:after, .mega-slider--vorher-voll .elementor-slide-heading:after {
    content: "";
    display: block;
    position: absolute;
    width: 80px;
    height: 6px;
    background: #f18e00;
    text-align: center;
    margin: 0 auto;
    right: 30px;
    top: 3.84rem;
}
}

/* 812px */
@media only screen and (max-width:812px) {
	
}

/* 768px */
@media only screen and (max-width:768px) {
		/* Slider */
	.mega-slider--text {
    width: 100%;
    height: 55vh;
    padding: 0 0 0 0;
}
.mega-slider--button {
    width: 100%;
    height: 55vh;
    padding: 0 0 15vh 0;
}
}

/* 736px */
@media only screen and (max-width:736px) {
	
	/* header */
	.mm-menu :nth-child(1), .mm-menu :nth-child(3) {
    order:1;
}
}

/* 667px */
@media only screen and (max-width:667px) {
	
}

/* 640px */
@media only screen and (max-width:640px) {
	
}

/* 568px */
@media only screen and (max-width:568px) {
	
}

/* 480px */
@media only screen and (max-width:480px) {
	/* Header */
#mm-header.elementor-sticky--active {
    background-color: transparent;
    background-image: linear-gradient(225deg, #ffffff 72%, rgba(0,0,0,0.69) 0%), url(/wp-content/uploads/HG_Baumann.jpg);
}
	#mm-header.elementor-sticky--active .mega-logo {
    width: 85% !important;
}
	#mm-header.elementor-sticky--active .mega-col .elementor-widget-wrap {
    height: 42px !important;
}
	.mega-widget--hide-on-sticky {
    width: 20% !important;
}
	.mega-widget--hide-on-sticky.clock {
		display:none;
	}
	#mm-header.elementor-sticky--active .mega-widget--ruf {
    margin: 0 0 0 96px;
}
	#mm-header .mega-widget-container a {
    font-size: 1.5rem;
}
		/* Slider */
	.mega-slider--text {
    width: 100%;
    height: 55vh;
    padding: 0 0 20vh 0;
}
.mega-slider--button {
    width: 100%;
    height: 55vh;
    padding: 0 0 15vh 0;
}
.slick-slider .slick-prev:before, .slick-slider .slick-next:before {
    font-size: 40px !important;
}
	/* Footer */
	#mega-footer :nth-child(1), #mega-footer :nth-child(3) {
    order: 1;
}
	/* Mega Hide */
	.mega-hide--mobile {
		display:none;
	}
/* ========================================================================= Mega Vorher Slider */
.mega-slider--vorher-voll .elementor-slide-content {
    display: flex;
    flex-direction: row;
    min-width: 80% !important;
    position: relative !important;
    top: -30%;
    left: 0;
    right: 0;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-heading {
    width: 100%;
    height: 50% !important;
    display: block;
    top: 25vh;
    position: absolute;
    right: 0px;
    bottom: 0;
}
.mega-slider--vorher-voll .elementor-slide-description {
    display: block;
    position: absolute;
    width: 100%;
    height: 50%;
    top: 36.5vh;
    right: 0;
}
.mega-slider--vorher-voll .elementor-button.elementor-slide-button.elementor-size-sm {
    display: block;
    position: absolute;
    top: -10vh;
    left: 0;
    width: 100%;
    padding: 0;
}
	
	
.mega-slider--vorher-voll button.slick-next.slick-arrow {
    top: 9vh;
}
.mega-slider--vorher-voll button.slick-prev.slick-arrow {
    top: 28vh;
}
/* Slider Line */ 
.mega-slider--vorher .elementor-slide-heading:before, .mega-slider--vorher-voll .elementor-slide-heading:before {
    content: "";
    display: block;
    position: absolute;
    width: 70%;
    height: 1px;
    background: #000;
    text-align: center;
    margin: 0 auto;
    right: 0;
    top: 4rem;
}
.mega-slider--vorher .elementor-slide-heading:after, .mega-slider--vorher-voll .elementor-slide-heading:after {
    content: "";
    display: block;
    position: absolute;
    width: 80px;
    height: 6px;
    background: #f18e00;
    text-align: center;
    margin: 0 auto;
    right: 30px;
    top: 3.84rem;
}
}

/* 414px */
@media only screen and (max-width:414px) {
	
}

/* 375px */
@media only screen and (max-width:375px) {
	
}

/* 360px */
@media only screen and (max-width:360px) {
	
}

/* 320px */
@media only screen and (max-width:320px) {
	
}
